Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogDeploymentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.ejb.EJBException
                              |
                              +--com.beasys.commerce.foundation.exception.SystemException
                                    |
                                    +--com.beasys.commerce.foundation.exception.DeploymentException
                                          |
                                          +--com.beasys.commerce.ebusiness.catalog.CatalogDeploymentException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class CatalogDeploymentException
extends DeploymentException

`CatalogDeploymentException` is thrown when an EJB is deployed incorrectly such that it will not function correctly. The remedy will generally require changes to the deployment descriptor.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`CatalogDeploymentException(String beanHomeName, String propertyName)` Class constructor.
`CatalogDeploymentException(String beanHomeName, String propertyName, Exception e)` Class constructor.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogDeploymentException

    public CatalogDeploymentException(String beanHomeName,
                                      String propertyName)

  Class constructor.

Parameters:
  `beanHomeName` - The JNDI name under which the EJB was deployed
  `propertyName` - The attribute that was misconfigured.

### CatalogDeploymentException

    public CatalogDeploymentException(String beanHomeName,
                                      String propertyName,
                                      Exception e)

  Class constructor.

Parameters:
  `beanHomeName` - The JNDI name under which the EJB was deployed
  `propertyName` - The attribute that was misconfigured.
  `e` - The nested exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved